PAC-SM DEVELOPER PLATFORM

Merchant API v1

REST APIs and signed events for enterprise commerce integrations.

Integration console
Authentication

Send your one-time API key as Authorization: Bearer YOUR_KEY. Keys are scoped, revocable and rate-limited.

MethodEndpointRequired scopeFormat
GET/api/v1/merchant/productsproducts:readapplication/json
GET/api/v1/merchant/inventoryinventory:readapplication/json
PATCH/api/v1/merchant/inventoryinventory:writeapplication/json
GET/api/v1/merchant/ordersorders:readapplication/json

Inventory update

PATCH /api/v1/merchant/inventory
Authorization: Bearer pacsm_live_...
Content-Type: application/json

{"balanceId":"...","onHand":125}

Webhook verification

Calculate HMAC-SHA256 over the exact request body using your endpoint signing secret, then compare it to X-PACSM-Signature. Deduplicate using X-PACSM-Event-Id.

Upload new productBack to home